<!-- //////////////////////START-AREA-TRABAJO////////////////////////////// -->
<div class="card">
    <div class="card-header">
        <h2>Listado de Renovaciones</h2>
        <br><br>
        <form role="form" method="post" >
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-account-box"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="typeclients form-control" id="clientes" name="client" value="{{params.client}}" placeholder="CLIENTE...">
                        </div>
                    </div>
                </div>
                <div class="col-lg-5 col-md-5 col-sm-11 col-sx-11">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-labels"></i></span>
                        <div class="fg-line">								
                            <input type="text" class="form-control" id="producto" name="producto"  value="{{params.producto}}"  placeholder="Producto">
                        </div>
                    </div>
                </div>                
                <div class="col-lg-1 col-md-1 col-sm-1 col-sx-1">
                    <button type="button" class="btn palette-Lime bg waves-effect" data-toggle="modal" href="#modalProducts"><i class="zmdi zmdi-search"></i></button>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-thumb-up"></i></span>
                        <div class="fg-line">										
                            <select class="chosen" name="marca" id="marca" data-placeholder="Marca">
                                <option></option>
                                {% for m in brands %}
                                    <option value="{{m.brand_id}}" {% if params.marca==m.brand_id %} selected {% endif %}>{{m.brand_name}}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-tag-more"></i></span>
                        <div class="fg-line">										
                            <select class="chosen" name="estado" id="estado" data-placeholder="Estado">
                                <option></option>
                                <option value="1" {% if params.estado=="1" %} selected {% endif %}>En renovación</option>
                                <option value="0" {% if params.estado=="0" %} selected {% endif %}>Por renovar</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-labels"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="form-control" name="serial" id="serial" value="{{params.serial}}" placeholder="# Serial">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">                   
                </div>
            </div>
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="date-picker form-control" name="fechadesde" id="fechadesde"  value="{{params.fechadesde}}" placeholder="Fecha desde">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-10">
                    <div class="input-group">
                        <span class="input-group-addon"><i class="zmdi zmdi-calendar"></i></span>
                        <div class="fg-line">										
                            <input type="text" class="date-picker form-control" name="fechahasta" id="fechahasta"  value="{{params.fechahasta}}" placeholder="Fecha hasta">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12 text-right">
                    <input type="hidden" name="_METHOD" value="GET"/>
                    <button type="submit" class="btn btn-primary btn-lg m-t-10"><i class="zmdi zmdi-search"></i> Buscar</button>
                </div>									
                <div class="col-sm-6">
                </div>	
                <div class="col-sm-6 text-right">
                    <button class="btn palette-Green bg m-t-25"><i class="zmdi zmdi-download"></i> Descargar Listado</button>
                </div>									
            </div>
        </form>
    </div>


    <div class="table-responsive">
        <table id="data-table-selection-renovations" class="table table-striped table-vmiddle">                          
            <thead>
                <tr>
                    <th data-column-id="cliente" data-formatter="clientes">Cliente</th>
                    <th data-column-id="marca">Marca</th>
                    <th data-column-id="venta">#Venta</th>
                    <th data-column-id="producto" data-formatter="productos">Producto</th> <!--<br> description-->
                    <th data-column-id="serial" data-identifier="true">Serial</th>
                    <th data-column-id="vencimiento" data-identifier="true" data-formatter="vencimientos">Vencimiento</th>
                    <th data-column-id="estado">Estado</th>

                    <th data-column-id="client_id"  data-type="numeric" data-visible="false">Client Id</th>
                    <th data-column-id="productid"  data-visible="false">Product ID</th>
                    <th data-column-id="fechaentera"   data-order="asc" data-visible="false">fecha Entera</th>

                    <th data-column-id="commands" data-formatter="commands" data-sortable="false">Commands</th>					
                </tr>
            </thead>
            <tbody>
                {%for renewal in renewals %}
                    <tr>
                        <td>{{renewal.client_businessname}}</td>
                        <td>{{renewal.brand_name}}</td>  
                        <td>#{{renewal.opportunity_salenumber}}</td>
                        <td>{{renewal.opportunity_detail_description}}</td>
                        <td>{{renewal.serials_contract_number}}</td>
                        <td>{{renewal.serials_contract_enddate|date('d-m-Y')}}</td>
                        <td>{% if renewal.serials_contract_status=="0" %}Por renovar{% else %}En renovación{% endif %}</td>
                        <td>{{renewal.client_id}}</td>
                        <td>{{renewal.opportunity_detail_productid}}</td>
                        <td>{{renewal.serials_contract_enddate|date('Ymd')}}</td>
                    </tr>
                {%endfor%}
            </tbody>
        </table>
    </div>
</div>
<!-- //////////////////////END-AREA-TRABAJO////////////////////////////// -->


<!-- //////////////////////END-OPPORTUNITY-EDIT////////////////////////////// -->

<div class="modal fade" id="modalProducts" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Buscador de productos</h4>
            </div>
            <div class="modal-body">
                <form role="form" id="form-bpop">
                    <div class="row">												
                        <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-search zmdi-hc-fw"></i></span>
                                <div class="fg-line">										
                                    <input type="text" class="form-control" id="keyword" name="keyword" placeholder="Palabra clave...">                                
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-search zmdi-hc-fw"></i></span>
                                <div class="fg-line">										
                                    <input type="text" class="form-control" id="sku" name="sku" placeholder="SKU">                                
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-4 col-sm-4 col-sx-4">
                            <div class="input-group">
                                <span class="input-group-addon"><i class="zmdi zmdi-search zmdi-hc-fw"></i></span>
                                <div class="fg-line">										
                                    <select class="selectpicker" name="hardware" id="hardware">
                                        <option value="">Tipo Producto</option>
                                        <option value="HW">Hardware</option>
                                        <option value="SW">Software/Licencia</option>
                                        <option value="SaaS">SaaS</option>
                                        <option value="Service">Service</option>
                                        <option value="Global">Servicios Globalgate</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6">                        
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 col-sx-6 m-t-15 text-right">
                            <input type="hidden" name="brand_id_search" id="brand_id_search" value="{{opportunity.brand_id}}" />
                            <button type="button" class="btn btn-primary sa-guardar sf-bpop"><i class="zmdi zmdi-search-replace zmdi-hc-fw"></i> Buscar</button>
                        </div>
                    </div>

                    <div class="row p-15">												
                        <div class="col-lg-12 col-md-12 col-sm-12 col-sx-12" style="height:300px; border:1px solid #eee; overflow:auto">
                            <div class="table-responsive">
                                <table class="table table-hover">
                                    <thead>
                                        <tr>
                                            <th>Marca</th>
                                            <th>Artículo</th>
                                            <th>Tipo</th>
                                            <th>SKU</th>
                                            <th>Descripción</th>
                                            <th>Precio</th>
                                            <th>Categoría</th>
                                        </tr>
                                    </thead>
                                    <tbody id="elementsTable"></tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-link" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>

<!-- //////////////////////END-OPPORTUNITY-EDIT////////////////////////////// -->